﻿Type=Class
Version=2.02
@EndOfDesignText@
'Class module: SplashFade
'Version: 1.0
'Aurthor: margret
'Last Modified: 10/02/2012
'Location: Work System
Private Sub Class_Globals
	Private BitImage As BitmapDrawable
	Private mModule As Object
	Private pnl1, pnl2 As Panel
	Private t1, t2 As Timer
	pnl1.Initialize("pnl1")
	pnl2.Initialize("pnl2")
	Private alp As Int
	Private afade As Boolean
End Sub
'Initializes the object. ShowFor is the time to display the Image in milliseconds. FadeDelay slows the fade
'process.  The larger the number the slower, start with 100.  Image is the file to display, must be in the
'assets folder.  Place this Initialize call as the last line in Activity_Create and call this Class like:
'
'Initialize(Activity, Me, "splash.jpg", Gravity.FILL, 3000, 100)
'
'NOTE: Set FadeDelay to 0 to prevent the image from fading out
Public Sub Initialize(Activity As Activity, Module As Object, Image As String, ImgGravity As Int, ShowFor As Int, FadeDelay As Int)
	t1.Initialize("t1", ShowFor)
	t2.Initialize("t2", FadeDelay)
	If FadeDelay < 1 Then
		t2.Interval = ShowFor
		afade = False
	Else
		afade = True	
	End If
	If t1.Enabled = True OR t2.Enabled = True Then Return
	BitImage.Initialize(LoadBitmap(File.DirAssets, Image))
	BitImage.Gravity = ImgGravity
	mModule = Module
	Activity.AddView(pnl1, 0, 0, Activity.Width, Activity.Height)
	Activity.AddView(pnl2, 0, 0, Activity.Width, Activity.Height)
	pnl2.Color = Colors.ARGB(0,0,0,0)
	pnl1.Background = BitImage
	pnl1.BringToFront
	pnl2.BringToFront
	If afade Then 
		t1.Enabled = True 
	Else 
		t2.Enabled = True
	End If	
	alp = 0
End Sub
Private Sub t1_Tick
	t1.Enabled = False
	t2.Enabled = True
End Sub
Private Sub t2_Tick
	If afade Then
		alp = alp + 10
	Else
		t2.Enabled = False
		pnl1.RemoveView
		pnl2.RemoveView
		
	End If
	pnl2.Color = Colors.ARGB(alp,0,0,0)
	If alp >= 255 Then
		alp = 255
		t2.Enabled = False
		pnl1.RemoveView
		pnl2.RemoveView
		
		Main.MyFirstTime = False
		StartActivity(Main)
		
	End If
End Sub